be.ehealth.businessconnector.hubv3.builders

## Class RequestBuilderFactory

- java.lang.Object
- - be.ehealth.businessconnector.hubv3.builders.RequestBuilderFactory

-     public final class RequestBuilderFactory
      extends Object

  Factory for all Builders that are necessary to create a request for eAttest. Creates a `RequestBuilderImpl`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_REQUESTBUILDER_CLASS` the default requestObjectBuilder implementation name.
    `static String` | `PROP_REQUESTBUILDER_CLASS` property name to set the desired implementation class for the request builder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestBuilderImpl` | `getRequestBuilder()` Retrieve an instance of a `RequestBuilderImpl` implementation The implementation could be a custom class defined in the configuration file (property ).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_REQUESTBUILDER_CLASS

          public static final String PROP_REQUESTBUILDER_CLASS

      property name to set the desired implementation class for the request builder. this class must implement the correct interface.
      See Also:
        Constant Field Values

    - #### DEFAULT_REQUESTBUILDER_CLASS

          public static final String DEFAULT_REQUESTBUILDER_CLASS

      the default requestObjectBuilder implementation name.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRequestBuilder

          public static RequestBuilderImpl getRequestBuilder()
                                                      throws TechnicalConnectorException

      Retrieve an instance of a `RequestBuilderImpl` implementation The implementation could be a custom class defined in the configuration file (property ). By default, it would be
      Returns:
        `RequestBuilderImpl` the instance of the `RequestBuilderImpl`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.